@charset "UTF-8";

@import "https://use.fontawesome.com/releases/v6.7.2/css/all.css";

/* 共通部分
-----------------------------------------*/


html {
    font-size: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    background-position: center;

    background-image: url(../images/background-img.jpg);

    background-repeat: repeat-y;
    background-size: 100% auto;

    font-family: "Noto+Sans+JP", "YuGothic", "游ゴシック体", sans-serif;
    line-height: 2.0;
    color: #232323;
    margin: 0;
    padding: 0;
    margin-top: 0;
}

*,
*:before,
*:after {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
    padding: 0;
    margin: 0;
}

.green {
    background-color: #006350;
}

.blue-text {
    color: #0c5a85;
}

.asa-background {
    background-color: #e1d1b355;
}

.icon-black {
    color: #232323;
}

a {
    text-decoration: none;
}

h1 {
    font-size: 32px;
    font-weight: 700;
    font-style: normal;
    margin: 0;
    padding: 0;
    letter-spacing: 0.05em;
}

h2 {
    font-size: 20px;
    font-weight: 600;
    font-style: normal;
    margin: 0;
    padding: 0;
    display: block;
}

h3 {
    font-size: 16px;
    font-weight: 600;
    font-style: normal;
    margin: 0;
    padding: 0;
}

h4 {
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    margin: 0;
    padding: 0;
}

p {
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    margin: 0;
    padding: 0;
}

small {
    display: block;
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    margin: 0;
    padding: 0;
}

span {
    display: inline-block;
}

.separation02 {
    max-width: 100%;
    height: 20px;
}

.separation04 {
    max-width: 100%;
    height: 10vh;
}

.line01 {
    border-bottom: 2px solid #232323;
}

.line02 {
    border-bottom: 4px solid #232323;
}

.line03 {
    border-top: 4px solid #232323;
}

a {
    color: #000;
}





/*左と右を囲う全体のエリア*/
#wrapper {
    width: 100%;
    height: auto;
    max-width: 100%;
    /*position stickyの基点にするため relativeをかける*/

    /*ボックスの折り返し可*/
}

.page-title {
    display: flex;
    flex-direction: column;
    justify-content: left;
    padding: 10% 4% 0% 4%;
}


.wrapper-tag {
    padding: 0 4%;
}

.page-link {
    transform-origin: left top;
    transition: .3s ease-in-out;
}

.page-link:hover {

    font-weight: 500;

    /* 下線を横方向に1倍、縦方向に1倍に変形（表示） */
}

.page-link:hover a::before {
    background-color: #0c5a85;
    transform: scale(0.9, 1);

}


/*==============作品一覧================================================*/
ul {
    list-style: none;
}


.works-index {
    width: 100%;
    max-width: 100%;
    height: auto;
    padding: 2% 4%;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap:16px;
    padding: 4% 0;
}

.gallery-box {
    display: flex;
    flex-direction: column;
    min-height: 0;
}

.gallery-box small {
    font-weight: 700;
    padding: 16px 0 8px 0;
}

.gallery-box h2 {
    margin: 0;
    padding: 0;
    letter-spacing: 0.05em;
}

.gallery img {
    width: 100%;
    max-width: 100%;
    aspect-ratio: 1/1;
    /* 画像の幅 */
    height: auto;
    /* 画像の高さ */
    object-fit: cover;
    /* 画像のアスペクト比を維持 */
    
    /* 画像のボーダー */
    border-radius: 0px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
    /* 画像の影 */
}






/*========= ローディング画面のためのCSS ===============*/
#splash {
    position: fixed;
    width: 100%;
    height: 100%;
    background-image: url(../images/background-img.jpg);
    z-index: 888;
    text-align: center;
    color: #fff;
}

#splash-logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/
.splashbg {
    display: none;
}

/*bodyにappearクラスがついたら出現*/
body.appear .splashbg {
    display: block;
    content: "";
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    transform: scaleX(0);
    background-color: #0c5a85;
    background-image: url(../images/background-img-blue.jpg);
    /*伸びる背景色の設定*/
    animation-name: PageAnime;
    animation-duration: 1.5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes PageAnime {
    0% {
        transform-origin: left;
        transform: scaleX(0);
    }

    50% {
        transform-origin: left;
        transform: scaleX(1);
    }

    50.001% {
        transform-origin: right;
    }

    100% {
        transform-origin: right;
        transform: scaleX(0);
    }
}

/*画面遷移の後現れるコンテンツ設定*/
#container {
    opacity: 0;
    /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #container {
    animation-name: PageAnimeAppear;
    animation-duration: 1.5s;
    animation-delay: 1.0s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes PageAnimeAppear {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}




/*=====ヘッダー================================================================================
======================================================================*/
/*========= ナビゲーションのためのCSS ===============*/
.logo {
    width: 140px;
    position: fixed;
    z-index: 1001;
    top: 17px;
    left: 1%;
    right: auto;
}

.logo img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

#g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 9998;
    /*ナビのスタート位置と形状*/
    top: 0;
    right: -70%;
    width: 198px;
    height: 100vh;
    /*ナビの高さ*/
    background: #0c5a85fb;
    /*動き*/
    transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive {
    right: 0;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 9999;
    top: 30%;
    left: 116px;
    transform: translate(-50%, -50%);
}

#g-nav ul li {
    font-size: 20px;
    margin-bottom: 20px;
}

/*リストのレイアウト設定*/

#g-nav li {
    list-style: none;
    text-align: left;
}

#g-nav li a {
    text-decoration: none;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-size: 14px;
    font-weight: 700;
}

.icon-link {
    display: flex;
    align-items: center;
    padding: 8px 0;
    gap: 12px;
    width: 160px;
    transition: all .6s;
}

.icon-link:hover {
    transform: scale(1.1, 1.1);
}

.icon-link i {
    color: #fcfaf2;
}

.icon-link:hover i {
    color: #e1d1b3;
}

.icon-link a {
    color: #fcfaf2;
}

.icon-link:hover a {
    color: #e1d1b3;
}

/*========= ボタンのためのCSS ===============*/
.openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 10px;
    right: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    transition: all .6s;
}

.openbtn:hover {
    transform: scale(1.2, 1.2);
}

/*×に変化*/
.openbtn span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 4px;
    border-radius: 2px;
    background-color: #000;
    width: 45%;
}

.openbtn span:nth-of-type(1) {
    top: 15px;
}

.openbtn span:nth-of-type(2) {
    top: 23px;
}



.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
    background-color: #fcfaf2;
}

.openbtn.active span:nth-of-type(2) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
    background-color: #fcfaf2;
}

.openbtn.active:hover span:nth-of-type(1) {
    transform: translateY(6px) rotate(-45deg) scale(1.3, 1.3);
}

.openbtn.active:hover span:nth-of-type(2) {
    transform: translateY(-6px) rotate(45deg) scale(1.3, 1.3);
}


/*=====ヘッダー終わり================================================================================
======================================================================*/

/*=====フッター================================================================================
======================================================================*/
.footer {
    width: 100%;
    height: 10vh;
    box-sizing: border-box;

}

.contact {
    width: 100%;
    max-width: 100%;
    padding: 5%;
    height: 90vh;
    text-align: center;
    display: flex;
    justify-content: center;
    background-color: #e1d1b3dd;
    border-bottom: 3px solid #232323;
}

.footer-iconcopy {

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-iconcopy img {
    width: 500px;
    max-width: 100%;
    height: auto;
}

.mail {
    max-width: 100%;
    text-align: center;
    background-color: #fcfaf2;
    border: 3px solid #232323;
    border-radius: 8px;
    padding: 3%;
    transition: ease .6s;
}

.mail a {
    color: #232323;
}

.mail:hover {
    transform: scale(1.1, 1.1);
}

.footer-nav {
    width: 100%;
    max-width: 100%;
    height: 10vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    background-color: #fcfaf2;
    padding: 0 3%;
}

.footer-list {
    display: flex;
    align-content: center;
    gap: 2em;
    list-style: none;
    text-decoration: none;
}

.footer-list a {
    color: inherit;
    font-weight: 700;
    font-size: 14px;
}

.footer-list a:hover {
    color: #0c5a85;
}

/* 下から */

.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    opacity: 0;
    will-change: transform, opacity;
}

.fadeUp.active {
    animation: fadeUpAnime 1.5s forwards;
}

@keyframes fadeUpAnime {
    from {
        opacity: 0;
        transform: translateY(80px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/*==＝＝＝＝＝＝ボタン共通設定＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
  */

  .description {
    padding: 0;
    margin-top: 24px;
    margin-bottom: 16px;
    max-width: 100%;
}

.description-button {
    display: flex;
    justify-content: left;
}

.btn {
    /*アニメーションの起点とするためrelativeを指定*/
    position: relative;
    overflow: hidden;
    z-index: 50;
    /*overflow: hidden;*/
    /*ボタンの形状*/
    text-decoration: none;
    display: inline-block;
    border: 4px solid #232323;
    /* ボーダーの色と太さ */
    padding: 1% 5%;
    text-align: center;
    outline: none;
    /*アニメーションの指定*/
    transition: ease .2s;
    border-radius: 8px;
    letter-spacing: 0.1em;
    background-color: #e1d1b3;
    box-shadow: 0 5px 0 #232323;
}

/*ボタン内spanの形状*/
.btn span {
    position: relative;
    z-index: 100;
    /*z-indexの数値をあげて文字を背景よりも手前に表示*/
    color: #232323;
    font-weight: 700;
}

/*左アイコン*/
.fa-position-left {
    position: absolute;
    z-index: 100;
    top: calc(50% - 0.5em);
    left: 1.5rem;
    color: #232323;
}

/*右アイコン*/
.fa-position-right {
    position: absolute;
    z-index: 100;
    top: calc(50% - 0.5em);
    right: 1rem;
    color: #232323;
}

.btn:hover {
    box-shadow: 0 3px 0 #232323;
    transform: translateY(1px);
}

.btn:active {
    box-shadow: none;
    transform: translateY(3px);
}

.btn:hover span {
    color: #e1d1b3;
}

.btn:hover .icon-works {
    color: #e1d1b3;
}

/*== 左下に押し込まれる（立体が平面に） */

/*== 背景が流れる（左から右） */
.bgleft:before {
    content: '';
    /*絶対配置で位置を指定*/
    position: absolute;
    top: 0;
    left: 0;
    z-index: 40;
    /*色や形状*/
    background: #0c5a85;
    /*背景色*/
    width: 100%;
    height: 100%;
    /*アニメーション*/
    transition: transform .6s cubic-bezier(0.8, 0, 0.2, 1) 0s;
    transform: scale(0, 1);
    transform-origin: right top;
}

/*hoverした際の形状*/
.bgleft:hover:before {
    transform-origin: left top;
    transform: scale(1, 1);
}


@media screen and (max-width:768px) {

    h1 {
        font-size: 20px;

    }

    h2 {
        font-size: 16px;

    }

    h3 {
        font-size: 14px;
    }


    h4 {
        font-size: 14px;

    }

    p {
        font-size: 14px;
    }

    small {
        font-size: 12px;
    }

    #wrapper {
        display: block;
        /*display:flex;を解除*/
    }


    #g-nav {
    right: -100%;
    width: 100%;
}


/*ナビゲーション*/
#g-nav ul {
    z-index: 999;
    top: 45%;
    left: 116px;
}

#g-nav ul li{
    font-size: 20px;
    margin-bottom: 20px;
}

.description-button {
    justify-content: center;
}

.footer-nav {
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.footer-list {
    display: flex;
    align-content: center;
    justify-content: space-between;
    gap: 3em;
    margin-bottom: 8px;
    list-style: none;
    text-decoration: none;
}

.footer-list a {
    color: inherit;
    font-weight: 700;
    font-size: 12px;
}

.logo {
    width: 140px;
    position: fixed;
    top: 17px;
    left:3%;
    right: auto;
}

.btn {

    width:100%;
    max-width: 100%;
    padding: 3% 10%;
    text-align: center;

}

.gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap:16px;
    padding: 3% 0;
}

.page-title {
    display: flex;
    flex-direction: column;
    justify-content: left;
    padding: 20% 4% 0% 4%;
}

.page-title h1{
    font-size: 24px;
    line-height: 1.4;
}

 .description {
    padding: 0;
    margin-top: 24px;
    margin-bottom: 0px;
    max-width: 100%;
}

.separation02 {
    max-width: 100%;
    height: 40px;
}

}